Subject: Re: [Patch][RFC] Disabling per-tgid stats on task exit in taskstats

From: Chris Sturtivant <[email-masked]>
Date: Wed, 05 Jul 2006 13:25:29 -0700

Shailabh Nagar wrote:
> So here's the sequence of pids being used/hashed etc. Please let
> me know if my assumptions are correct ?
>
> 1. Same listener thread opens 2 sockets
>
> On sockfd1, does a bind() using
> 	sockaddr_nl.nl_pid = my_pid1
> On sockfd2, does a bind() using
> 	sockaddr_nl.nl_pid = my_pid2
>
> (one of my_pid1's could by its process pid but doesn't have to be)
>   

For CSA, we are proposing to use a single (multi-threaded) demon that 
combines both the userland components for job and CSA that used to be in 
the kernel.  In this case, the pid will be the same for two connections 
along with the cpu range.  Does what your saying here mean that we 
should choose distinct values for my_pid1 and my_pid2 to avoid the two 
sockets looking the same?  I'm not too familiar with netlink, yet.

Best regards,

--Chris

-- 
-----------------------------------------------------------------
Chris Sturtivant, PhD,
Linux System Software,
SGI
(650) 933-1703
-----------------------------------------------------------------